Download it now!
Bug 142767 - SIDEBAR: First shape in each one of the Shapes Sidebar's sections does not work
Summary: SIDEBAR: First shape in each one of the Shapes Sidebar's sections does not work
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2 tar...
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2021-06-10 13:41 UTC by stragu
Modified: 2021-06-15 12:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stragu 2021-06-10 13:41:14 UTC
Description:
The first shape in each section of the Shapes Sidebar does not work.
This is a regression as it used to work in LO 7.0 and LO 7.1.
The same shapes work when used from the drawing toolbar.

This applies to both Draw and Impress.

Steps to Reproduce:
1. Open Draw or Impress
2. Open the Shapes sidebar
3. Click on the first shape in a section
4. Try and trace the shape with the pointer

Actual Results:
No shape is drawn. The pointer does not change the usual pointer for drawing shapes.

Expected Results:
The shape is drawn.


Reproducible: Always


User Profile Reset: No



Additional Info:
Tested on:

Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: aa9cb8e14749e7fb7a83b55a2bb095501f731a18
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: en-AU (en_AU); UI: en-US
Calc: threaded

And:

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 17694c906f94a195a2d5086e0e87afa1c852107b
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-06-09_20:52:06
Calc: threaded
Comment 1 stragu 2021-06-10 13:42:25 UTC
List of shapes affected:

Insert line
Freeform line
Connector Ends with Arrow
Rectangle
Smiley Face
Left arrow
Flowchart: Process
Rectangular callout
4-Point Star
Cube
Comment 2 BogdanB 2021-06-10 13:49:16 UTC
Confirm with
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 31ed81ea71a20ec119805f66a42f99b3f80d2dc5
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded
Comment 3 BogdanB 2021-06-11 04:17:32 UTC
611379a54e8c2c6de12d3fa6102b0e577b614874 is the first bad commit
commit 611379a54e8c2c6de12d3fa6102b0e577b614874
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri May 28 11:40:36 2021 +0200

    source sha:e2970060121824650f95421d8d2411840a40311f
    
    source sha:e2970060121824650f95421d8d2411840a40311f

 instdir/program/libsvtlo.so | Bin 3525624 -> 3525624 bytes
 instdir/program/setuprc     |   2 +-
 instdir/program/versionrc   |   2 +-
 3 files changed, 2 insertions(+), 2 deletions(-)
Comment 4 BogdanB 2021-06-11 04:20:09 UTC
Caolan, I added you on this bug.

tdf#142150 nothing already selected on MouseUp without previous MouseDown
if mouse down was on tooltip (possible on macOS)

Change-Id: Icb4328fa6977356c3bac5f37d42e99ae8d4e4b98
Reviewed-on: https://gerrit.libreoffice.org/c/core/+/116273
Tested-by: Jenkins
Reviewed-by: Caolán McNamara <caolanm@redhat.com>
Comment 5 Caolán McNamara 2021-06-14 13:37:20 UTC
The preexisting warning (in dbgutil mode) of

svtools/source/control/valueset.cxx:1681: ValueSet::InsertItem(): ItemId == 0

highlights the problem that itemid is reserved for a specific meaning but is getting inserted by DefaultShapesPanel
Comment 6 Commit Notification 2021-06-14 15:07:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c3a57aef1fe358dc7ac7df3593eaa0349a3c21a1

Resolves: tdf#142767 cannot use itemid of 0 in ValueSets

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-06-14 17:34:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/29433516e58514b92e3ca3aab965f69c641012a7

Resolves: tdf#142767 cannot use itemid of 0 in ValueSets

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-06-15 07:41:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/ea48cb21bb3b5f8a4f1a01987d393bddb9985a8e

Resolves: tdf#142767 cannot use itemid of 0 in ValueSets

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 stragu 2021-06-15 12:00:53 UTC
VERIFIED FIXED in:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: de7356c2e0cb099fac396808b5a86a0393b48e5f
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-06-14_22:38:17
Calc: threaded

Thank you so much, Caolán!